QGIS Application - Bug report #7760
SLD using "size" wrongly for graphics
2013-05-03 05:25 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 16659
Description

Per attached. | have a QML file which has things correctly styled.
When | save it as SLD, the SLD gives the SVG a "<size>" of "3". This is wrong.
Per the SLD 1.0 spec:

"The Size element gives the absolute size of the graphic in pixels encoded as a floating-
point number. This element is also used in other contexts than graphic size and pixel
units are still used even for font size."

The SVG is obviously not supposed to be 3 pixels high - its about 10-16.

Using QGIS weekly master 1959182

History

#1 - 2013-05-04 02:33 AM - Giovanni Manghi
- Category set to Symbology

#2 - 2017-05-01 01:09 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No

#3 - 2017-10-14 11:38 AM - Andrea Aime
- Resolution set to fixed/implemented

- Status changed from Open to Closed

- Description updated

| believe this issue has been fixed over a year ago as part of rescaling the default QGIS units, mm, to the pixel ones used by default in SLD.
I've just tried exporting the same QML to SLD with 2.18.x and the result is a size 11, which is in the range Jonathan originally indicated as correct and
expected.

Files

Desktop.7z 35.4 KB 2013-05-03 Jonathan Moules
